<template>
  <div>
    <el-tabs type="border-card" v-model="activeName" @tab-click="handleClick">
      <el-tab-pane  label="位移测点" name="first">
        <disPlacementFrom v-if="activeName=='first'"></disPlacementFrom>
      </el-tab-pane>
      <el-tab-pane  label="渗压测点" name="third">
        <osmotic v-if="activeName=='third'"></osmotic>
      </el-tab-pane>
      <el-tab-pane  label="渗流点预警配置" name="fourth">
        <Infiltration v-if="activeName=='fourth'" ></Infiltration>
      </el-tab-pane>
      <el-tab-pane   label="雨量测站" name="fiveth">
        <rainFall v-if="activeName=='fiveth'"></rainFall>
      </el-tab-pane>
	  <el-tab-pane  label="河道水位测站" name="sixth">
	    <riverCourse v-if="activeName=='sixth'"></riverCourse>
	  </el-tab-pane>
	  <el-tab-pane  label="生态流量配置" name="seventh">
	    <ecologicalFlow v-if="activeName=='seventh'"></ecologicalFlow>
	  </el-tab-pane>
    </el-tabs>
  </div>
</template>
<script>
import  disPlacementFrom  from './components/disPlacement.vue'
import osmotic from './components/osmotic.vue'
import Infiltration from './components/Infiltration.vue'
import rainFall from './components/rainFall.vue'
import riverCourse from './components/riverCourse.vue'
import ecologicalFlow from './components/ecologicalFlow.vue'
export default {
  name: 'alertConfigur',
  components: {
    disPlacementFrom,
    osmotic,
    Infiltration,
    rainFall,
	riverCourse,
	ecologicalFlow
  },
  data() {
    return {
        activeName:'first',
    }
  },
  methods:{
    handleClick(val){
    }
  }
}
</script>

<style lang="scss" scoped>
html,body{
  
  width:100% !important;
  height:100% !important;
}
.el-tabs .el-tabs--top{
  width:100% !important;
  height:100% !important;
}
.el-tabs ,.el-tab-pane,.bbsl-table-content{
  width:100% !important;
  height:100% !important;
}
</style>
